using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace bbiwarg.Recognition.Tracking
{
    abstract class TrackableObject
    {
        public bool IsTracked { get; private set; }
        public int TrackID { get; private set; }

        public TrackableObject() {
            IsTracked = false;
            TrackID = 0;
        }

        abstract public float getSimilarity(TrackableObject compareObject);

        public void setTracked(int id) {
            IsTracked = true;
            TrackID = id;
        }
    }
}
